Bug 202709 - [MAINTAINER] net-mgmt/netmagis-*: Update to 2.3.1 (update to 2.3.2)
Summary: [MAINTAINER] net-mgmt/netmagis-*: Update to 2.3.1 (update to 2.3.2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-08-28 11:22 UTC by Pierre DAVID
Modified: 2015-10-29 01:39 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (pdagog)


Attachments
concatenated diff -u for ./netmagis-* ports (947 bytes, patch)
2015-08-28 11:22 UTC, Pierre DAVID
pdagog: maintainer-approval+
Details | Diff
Patch to 2.3.2 (svn diff) (858 bytes, patch)
2015-09-03 11:00 UTC, Pierre DAVID
no flags Details | Diff
Patch for netmagis-* ports (1.46 KB, patch)
2015-10-26 13:40 UTC, Pierre DAVID
no flags Details | Diff
portlint output (2.62 KB, text/plain)
2015-10-26 13:41 UTC, Pierre DAVID
no flags Details
port test output (1.82 KB, text/plain)
2015-10-26 13:42 UTC, Pierre DAVID
no flags Details
make stage / check-plist / stage-qa / package /clean output (48.93 KB, text/plain)
2015-10-26 13:43 UTC, Pierre DAVID
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre DAVID 2015-08-28 11:22:58 UTC
Created attachment 160436 [details]
concatenated diff -u for ./netmagis-* ports

See attached patch. No added/removed file.
Comment 1 Pierre DAVID 2015-09-03 11:00:41 UTC
Created attachment 160669 [details]
Patch to 2.3.2 (svn diff)

Use this patch (to 2.3.2 release) instead of the previous (2.3.1 release)
Comment 2 Jason Unovitch freebsd_committer 2015-10-12 01:48:51 UTC
distinfo is for 2.3.1 and the Makefile is for 2.3.2.  Can you please update the patch to reflect 2.3.2?  Additionally, net-mgmt/negmatis-metro needs 'PORTREVISION= 1' removed.

If you can fix these items noted above and include QA results as attachments to this issue, that would also be great. For more information, see:

https://www.FreeBSD.org/doc/en/books/porters-handbook/testing.html

At a minimum please include (as attachments):

* Output from portlint -AC
* Output from poudriere (testport or bulk -t), OR
* make stage && make check-plist && make stage-qa && make package

Thanks!
Comment 3 Pierre DAVID 2015-10-26 13:40:27 UTC
Created attachment 162466 [details]
Patch for netmagis-* ports
Comment 4 Pierre DAVID 2015-10-26 13:41:58 UTC
Created attachment 162467 [details]
portlint output

I did not succeed to fix the error:
FATAL: Makefile: extra item "RUN_DEPENDS" placed in the LICENSE section.
Comment 5 Pierre DAVID 2015-10-26 13:42:39 UTC
Created attachment 162468 [details]
port test output
Comment 6 Pierre DAVID 2015-10-26 13:43:24 UTC
Created attachment 162469 [details]
make stage / check-plist / stage-qa / package /clean output
Comment 7 Pierre DAVID 2015-10-26 13:44:08 UTC
Here are the required elements. Sorry for the delay. Thanks.
Comment 8 Jason Unovitch freebsd_committer 2015-10-27 00:36:54 UTC
Thank you for the thorough QA!

(In reply to Pierre DAVID from comment #4)
No worries.  It would appear to be a false positive because these are slave ports and the expected MAINTAINER/LICENSE is not there in the normal order.

(In reply to Pierre DAVID from comment #6)
Is there any need for these for debugging?

Warning: 'bin/htgtcl' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}

If not I'll go ahead and fix this before commit.
Comment 9 Pierre DAVID 2015-10-27 06:21:31 UTC
(In reply to Jason Unovitch from comment #8)

There is no need for debug symbols on htg. lease, fix it. Thanks.
Comment 10 commit-hook freebsd_committer 2015-10-29 01:34:40 UTC
A commit references this bug:

Author: junovitch
Date: Thu Oct 29 01:34:22 UTC 2015
New revision: 400427
URL: https://svnweb.freebsd.org/changeset/ports/400427

Log:
  net-mgmt/netmagis-*: update 2.3.0 -> 2.3.2

  - Update PORTVERSION and distinfo for 2.3.2
  - Drop PORTREVISION on netmagis-metro slave port
  - Revise NO_ARCH handling, rely on setting it in netmagis-common if not
    already defined then set it to blank in netmagis-topo and netmagis-www
    where architecture specific files are packaged
  - Strip binaries for netmagis-www

  PR:		202709
  Submitted by:	Pierre David <pdagog@gmail.com> (maintainer)

Changes:
  head/net-mgmt/netmagis-common/Makefile
  head/net-mgmt/netmagis-common/distinfo
  head/net-mgmt/netmagis-database/Makefile
  head/net-mgmt/netmagis-detecteq/Makefile
  head/net-mgmt/netmagis-metro/Makefile
  head/net-mgmt/netmagis-topo/Makefile
  head/net-mgmt/netmagis-utils/Makefile
  head/net-mgmt/netmagis-www/Makefile
Comment 11 Jason Unovitch freebsd_committer 2015-10-29 01:37:57 UTC
(In reply to Pierre DAVID from comment #9)

The NO_ARCH handling was incorrect for netmagis-www and netmagis-topo.  The logs showed this in QA:

pkg-static: DEVELOPER_MODE: Error: arch "FreeBSD:11:*" -- package installs architecture specific files

This was committed with changes mentioned in the commit message above.  Thank you for your work maintaining this port Pierre!
Comment 12 Jason Unovitch freebsd_committer 2015-10-29 01:39:58 UTC
Fix keywords and append to title post PR close.